GETAUID(2)

NAME
getauid, setauid - get and set user audit identity

SYNOPSIS
int getauid()

int setauid(auid)
int auid;

DESCRIPTION

The getauid() system call returns the audit user ID for the current process. This value is initially set at login time and inherited by all child processes. This value does not change when the real/effective user IDs change, so it can be used to identify the logged-in user, even when running a setuid program. The audit user ID governs audit decisions for a process.

The setauid() system call sets the audit user ID for the current process. Only the super-user may successfully execute these calls.

RETURN VALUES

getauid() returns the audit user ID of the current process on success. On failure, it returns -1 and sets errno to indicate the error.

setauid() returns:

0   on success.

-1  on failure and sets errno to indicate the error.

ERRORS

EINVAL
    The parameter auid is not a valid UID.

EPERM
    The process's effective user ID is not super-user.

SEE ALSO
getuid(2V), setuseraudit(2), audit(8)